## BamfTab BamfTab |

## Functions

#define | BAMF_TAB_CONST()
void | (*BamfTabPreviewReadyCallback) ()
gboolean | bamf_tab_raise ()
gboolean | bamf_tab_close ()
void | bamf_tab_request_preview ()
const gchar * | bamf_tab_get_desktop_name ()
const gchar * | bamf_tab_get_location ()
guint64 | bamf_tab_get_xid ()
gboolean | bamf_tab_get_is_foreground_tab ()

## Properties

char * | desktop-id | Read
gboolean | is-foreground-tab | Read
char * | location | Read
guint64 | xid | Read

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── BamfView
                ╰── BamfTab

## Description

## Functions

### BAMF_TAB_CONST()

    #define BAMF_TAB_CONST(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), BAMF_TYPE_TAB, BamfTab const))

### BamfTabPreviewReadyCallback ()

    void
    (*BamfTabPreviewReadyCallback) (BamfTab *self,
                                    const gchar *preview_data,
                                    gpointer user_data);

### bamf_tab_raise ()

    gboolean
    bamf_tab_raise (BamfTab *self);

Selects the `self` tab in the parent window.

#### Parameters

self | A BamfTab. |

#### Returns

`TRUE` if success, `FALSE` otherwise.

### bamf_tab_close ()

    gboolean
    bamf_tab_close (BamfTab *self);

Closes the selected `self` tab.

#### Parameters

self | A BamfTab. |

#### Returns

`TRUE` if success, `FALSE` otherwise.

### bamf_tab_request_preview ()

    void
    bamf_tab_request_preview (BamfTab *self,
                              BamfTabPreviewReadyCallback callback,
                              gpointer user_data);

#### Parameters

self | a BamfTab |
callback | a callback function to call when the result is ready. | [closure][scope async]
user_data | data to be sent to the callback. | [closure][allow-none]

### bamf_tab_get_desktop_name ()

    const gchar *
    bamf_tab_get_desktop_name (BamfTab *self);

Returns the desktop file for the tab.

#### Parameters

self | A BamfTab. |

#### Returns

The tab desktop id or `NULL` if not set or available. Do not free the returned value, it belongs to `self` .

[transfer none]

### bamf_tab_get_location ()

    const gchar *
    bamf_tab_get_location (BamfTab *self);

### bamf_tab_get_xid ()

    guint64
    bamf_tab_get_xid (BamfTab *self);

The desktop file for the tab.

#### Parameters

self | A BamfTab. |

#### Returns

The tab parent window XID id or 0 if not set or available.

### bamf_tab_get_is_foreground_tab ()

    gboolean
    bamf_tab_get_is_foreground_tab (BamfTab *self);

#### Parameters

self | A BamfTab. |

#### Returns

`TRUE` if the tab is the active one on parent window XID, `FALSE` otherwise.

## Property Details

### The `“desktop-id”` property

      “desktop-id”               char *

The Desktop ID associated with the application hosted in the remote Tab.

Owner: BamfTab

Flags: Read

Default value: NULL

### The `“is-foreground-tab”` property

      “is-foreground-tab”        gboolean

Whether the tab is the foreground tab in it's toplevel container.

Owner: BamfTab

Flags: Read

Default value: FALSE

### The `“location”` property

      “location”                 char *

The Current location of the remote Tab.

Owner: BamfTab

Flags: Read

Default value: NULL

### The `“xid”` property

      “xid”                      guint64

XID for the toplevel window containing the remote Tab.

Owner: BamfTab

Flags: Read

Default value: 0